=== binr/rahash2/Makefile ===
BIN=rahash2
BINDEPS=r_hash r_util

include ../binr.mk
