=== debian/changelog ===
radare2 (0.8.1-1) unstable; urgency=low

  * new upstream release
  * remove all patches (included upstream)
  * switch from cdbs to debhelper
  * update Debian Standards Version to 3.9.2
  * make libradare2 multi-arch capable

 -- Sebastian Reichel <sre@debian.org>  Sun, 24 Jul 2011 15:06:17 +0200

radare2 (0.7-3) unstable; urgency=low

  * update the fcntl patch
  * new patch: honor --without-debugger to fix build on unsupported
    architectures
  * new patch: add kfreebsd support

 -- Sebastian Reichel <sre@debian.org>  Wed, 13 Apr 2011 11:04:00 +0200

radare2 (0.7-2) unstable; urgency=low

  * disable debugger on all arches except i386, amd64, arm
    to make them building
  * new patch: drx_add / drx_del should not be exported
  * new patch: add fcntl.h to fix build error on kfreebsd / hurd
  * new patch: fix cflags to build some failing plugins
  * Closes: #621412

 -- Sebastian Reichel <sre@debian.org>  Mon, 04 Apr 2011 15:27:16 +0200

radare2 (0.7-1) unstable; urgency=low

  * New upstream release

 -- Sebastian Reichel <sre@debian.org>  Wed, 09 Mar 2011 00:54:02 +0100

radare2 (0.6-1) unstable; urgency=low

  * Initial Upload to Debian (Closes: #573345)

 -- Sebastian Reichel <sre@debian.org>  Mon, 07 Feb 2011 13:00:47 +0100
