## radare2 0.8.8

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,21 @@
 binr:
 	cd binr && ${MAKE} all
 
+R=$(shell hg tags|head -n2 | tail -n1|awk '{print $$2}' |cut -d : -f 1)
+T=$(shell hg tip|grep changeset:|cut -d : -f 2)
+.PHONY: chlog
+chlog:
+	@hg log -v -r tip:$R > chlog
+	@echo "-=== release ${VERSION} ===-"
+	@echo "hg tag -r $T ${VERSION}"
+	@printf "last commit:   "
+	@hg log -r tip | grep date: |cut -d : -f 2- |sed -e 's,^\ *,,g'
+	@printf "oldest commit: "
+	@hg log -r $R | grep date: |cut -d : -f 2- |sed -e 's,^\ *,,g'
+	@printf "Commits:  "
+	@grep changeset: chlog |wc -l
+	@grep -v : chlog | grep -v '^$$'
+
 w32:
 	make clean
 	# TODO: add support for debian
@@ -36,9 +51,15 @@
 w32dist:
 	rm -rf radare2-w32-${VERSION} w32dist
 	mkdir w32dist
-	for a in `find binr libr | grep -e exe$$ -e dll$$`; do cp $$a w32dist ; done
+	for a in `find libr | grep -e dll$$`; do cp $$a w32dist ; done
+	for a in `find binr | grep -e exe$$`; do cp $$a w32dist ; done
 	rm w32dist/plugin.dll
+	mkdir -p w32dist/radare2/${VERSION}/syscall
+	cp -f libr/syscall/d/*.sdb w32dist/radare2/${VERSION}/syscall
+	mkdir -p w32dist/share/doc/radare2
+	cp -f doc/fortunes w32dist/share/doc/radare2
 	mv w32dist radare2-w32-${VERSION}
+	rm -f radare2-w32-${VERSION}.zip 
 	zip -r radare2-w32-${VERSION}.zip radare2-w32-${VERSION}
 
 w32beta: w32dist
@@ -83,6 +104,8 @@
 install: install-doc install-man
 	cd libr && ${MAKE} install PARENT=1 PREFIX=${PREFIX} DESTDIR=${DESTDIR}
 	cd binr && ${MAKE} install PREFIX=${PREFIX} DESTDIR=${DESTDIR}
+	cd libr/syscall/d ; ${MAKE} install PREFIX=${PREFIX} LIBDIR=${LIBDIR} DESTDIR=${DESTDIR}
+	cd libr/magic ; ${MAKE} install-data LIBDIR=${LIBDIR} PREFIX=${PREFIX} DESTDIR=${DESTDIR}
 
 install-pkgconfig-symlink:
 	@${INSTALL_DIR} ${DESTDIR}/${LIBDIR}/pkgconfig
@@ -91,10 +114,13 @@
 symstall install-symlink: install-man-symlink install-doc-symlink install-pkgconfig-symlink
 	cd libr && ${MAKE} install-symlink PREFIX=${PREFIX} DESTDIR=${DESTDIR}
 	cd binr && ${MAKE} install-symlink PREFIX=${PREFIX} DESTDIR=${DESTDIR}
+	cd libr/syscall/d ; ${MAKE} install-symlink LIBDIR=${LIBDIR} PREFIX=${PREFIX} DESTDIR=${DESTDIR}
+	cd libr/magic ; ${MAKE} install-symlink-data LIBDIR=${LIBDIR} PREFIX=${PREFIX} DESTDIR=${DESTDIR}
 
 deinstall uninstall:
 	cd libr && ${MAKE} uninstall PARENT=1 PREFIX=${PREFIX} DESTDIR=${DESTDIR}
 	cd binr && ${MAKE} uninstall PARENT=1 PREFIX=${PREFIX} DESTDIR=${DESTDIR}
+	cd libr/syscall/d && ${MAKE} uninstall PARENT=1 PREFIX=${PREFIX} DESTDIR=${DESTDIR} LIBDIR=${LIBDIR}
 	@echo
 	@echo "Run 'make purge' to also remove installed files from previous versions of r2"
 	@echo
@@ -110,12 +136,15 @@
 	scp ../radare2-${VERSION}.tar.gz ${REMOTE}
 	scp r2-bindings-${VERSION}.tar.gz ${REMOTE}
 
+version:
+	@echo ${VERSION}
+
 r2-bindings-dist:
 	cd r2-bindings && ${MAKE} dist
 
 dist:
 	VERSION=${VERSION} ; \
-	FILES=`hg st -mc .| cut -c 3-|sed -e s,^,radare2-${VERSION}/, | grep -v r2-bindings | grep -v '/\.'` ; \
+	FILES=`hg manifest | grep -v r2-bindings | sed -e s,^,radare2-${VERSION}/,` ; \
 	cd .. && mv radare2 radare2-${VERSION} && \
 	${TAR} radare2-${VERSION}.tar.gz $${FILES} ;\
 	mv radare2-${VERSION} radare2
@@ -125,7 +154,7 @@
 
 shot:
 	DATE=`date '+%Y%m%d'` ; \
-	FILES=`hg status -mc|cut -c 3-|sed -e s,^,radare2-$${DATE}/,`; \
+	FILES=`hg manifest | sed -e s,^,radare2-${DATE}/,` ; \
 	cd .. && mv radare2 radare2-$${DATE} && \
 	${TAR} radare2-$${DATE}.tar.gz $${FILES} ;\
 	mv radare2-$${DATE} radare2 && \
@@ -133,4 +162,5 @@
 
 include ${MKPLUGINS}
 
-.PHONY: all clean mrproper install symstall uninstall deinstall dist shot pkgcfg r2-bindings r2-bindings-dist libr binr install-man
+.PHONY: all clean mrproper install symstall uninstall deinstall dist shot pkgcfg
+.PHONY: r2-bindings r2-bindings-dist libr binr install-man version
