=== libr/Makefile ===
--- 
+++ 
@@ -8,8 +8,8 @@
 PWD=`pwd`
 
 # Libraries
-LIBLIST=util socket cons line lib io lang flags bin hash config syscall cmd
-LIBLIST+=reg asm diff anal print parse search bp sign debug fs core
+LIBLIST=util magic socket db cons line lib io lang flags bin hash config syscall
+LIBLIST+=cmd reg diff anal parse asm print search egg bp sign debug fs core th
 #DEPRECATED APIS : LIBLIST+=th crypto
 # sysproxy ... common wat du?
 
@@ -27,11 +27,11 @@
 	# TODO: Magically generate libr.pc.acr here using LIBLIST and so :)
 
 install-pkgconfig:
-	@${INSTALL_DIR} ${LFX}/pkgconfig
+	${INSTALL_DIR} ${LFX}/pkgconfig
 	for a in ../pkgcfg/*.pc ; do ${INSTALL_DATA} $$a ${LFX}/pkgconfig ; done
 
 install-includes:
-	@${INSTALL_DIR} ${IFX}/libr
+	${INSTALL_DIR} ${IFX}/libr
 	(cd include && for a in *.h ; do ${INSTALL_DATA} $$a ${IFX}/libr ; done)
 
 install-symlink:
@@ -64,8 +64,9 @@
 	  b=`echo $$a|cut -d / -f 2`; \
 	  echo " ${LFX}/$$b.${LIBVERSION}"; \
 	  ${INSTALL_LIB} $$a ${LFX}/$$b.${LIBVERSION} ; \
-	  ( cd ${LFX} ; ln -fs $$b.${LIBVERSION} $$b.0 ; ln -fs $$b.0 $$b ); \
+	  ( cd ${LFX} ; ln -fs $$b.${LIBVERSION} $$b ) ; \
 	done
+	#Linux only? ( cd ${LFX} ; ln -fs $$b.${LIBVERSION} $$b.0 ; ln -fs $$b.0 $$b )
 	# object archives
 	@for a in `find * -type f | grep -e '\.a$$' | grep -v fs/p` ; do \
 	  echo " ${LFX}/$$a"; ${INSTALL_DATA} $$a ${LFX} ; done
