=== binr/rafind2/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 BIN=rafind2
 BINDEPS=r_search r_io r_print r_lib r_asm r_anal r_reg r_cons r_util r_syscall r_diff
-BINDEPS+=r_socket
+BINDEPS+=r_socket r_db r_parse
 
 include ../binr.mk
