=== binr/rarun2/Makefile ===
BIN=rarun2
BINDEPS=r_util
OBJ=main.o

include ../binr.mk
