=== debian/changelog ===
radare2 (0.8.8-2) unstable; urgency=low

  * fix symbols file:
    r_debug_desc_plugin_native is only built for x86, x86-64 and arm
  * add patch to fix build on kFreeBSD
  * add upstream patch to fix a bug when redefining io sections

 -- Sebastian Reichel <sre@debian.org>  Fri, 04 Nov 2011 22:53:13 +0100

radare2 (0.8.8-1) unstable; urgency=low

  * new upstream release
   - fixed lintian warnings
  * update copyright information

 -- Sebastian Reichel <sre@debian.org>  Tue, 01 Nov 2011 13:03:36 +0100
