=== debian/control ===
--- 
+++ 
@@ -26,27 +26,27 @@
  supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
  hash utility called rahash.
 
-Package: radare2-dbg
-Section: debug
-Architecture: any
-Depends: ${misc:Depends}, radare2 (= ${binary:Version})
-Description: free and advanced command line hexadecimal editor (debug)
- The project aims to create a complete, portable, multi-architecture,
- unix-like toolchain for reverse engineering.
- .
- It is composed by an hexadecimal editor (radare) with a wrapped IO
- layer supporting multiple backends for local/remote files, debugger
- (osx,bsd,linux,w32), stream analyzer, assembler/disassembler (rasm)
- for x86,arm,ppc,m68k,java,msil,sparc code analysis modules and
- scripting facilities. A bindiffer named radiff, base converter (rax),
- shellcode development helper (rasc), a binary information extracter
- supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
- hash utility called rahash.
- .
- This package provides the debug symbols for the applications from the
- radare2 suite.
+#Package: radare2-dbg
+#Section: debug
+#Architecture: any
+#Depends: ${misc:Depends}, radare2 (= ${binary:Version})
+#Description: free and advanced command line hexadecimal editor (debug)
+# The project aims to create a complete, portable, multi-architecture,
+# unix-like toolchain for reverse engineering.
+# .
+# It is composed by an hexadecimal editor (radare) with a wrapped IO
+# layer supporting multiple backends for local/remote files, debugger
+# (osx,bsd,linux,w32), stream analyzer, assembler/disassembler (rasm)
+# for x86,arm,ppc,m68k,java,msil,sparc code analysis modules and
+# scripting facilities. A bindiffer named radiff, base converter (rax),
+# shellcode development helper (rasc), a binary information extracter
+# supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
+# hash utility called rahash.
+# .
+# This package provides the debug symbols for the applications from the
+# radare2 suite.
 
-Package: libradare2-0.8
+Package: libradare2-0.8.8
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -70,7 +70,7 @@
 Package: libradare2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libradare2-0.8 (= ${binary:Version})
+Depends: ${misc:Depends}, libradare2-0.8.8 (= ${binary:Version}), libmagic-dev
 Description: devel files from the radare2 suite
  The project aims to create a complete, portable, multi-architecture,
  unix-like toolchain for reverse engineering.
@@ -86,11 +86,11 @@
  .
  This package provides the devel files from radare2.
 
-Package: libradare2-0.8-dbg
+Package: libradare2-0.8.8-dbg
 Multi-Arch: same
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, libradare2-0.8
+Depends: ${misc:Depends}, libradare2-0.8.8 (= ${binary:Version})
 Description: debug symbols for libraries from radare suite
  The project aims to create a complete, portable, multi-architecture,
  unix-like toolchain for reverse engineering.
