=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEBUG_SUPPORT=0
-EXTRA_FLAGS=
+EXTRA_FLAGS=--with-sysmagic --without-ssl
 
 ifeq (arm,$(DEB_HOST_ARCH_CPU))
 DEBUG_SUPPORT=1
@@ -13,6 +13,10 @@
 
 ifeq (i386,$(DEB_HOST_ARCH_CPU))
 DEBUG_SUPPORT=1
+endif
+
+ifeq (hurd,$(DEB_HOST_ARCH_OS))
+EXTRA_FLAGS+=--with-ostype=gnulinux
 endif
 
 ifeq (0,$(DEBUG_SUPPORT))
@@ -29,8 +33,8 @@
 	dh_makeshlibs --exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/radare2/
 
 override_dh_strip:
-	dh_strip -pradare2 --dbg-package=radare2-dbg
-	dh_strip -plibradare2-0.8 --dbg-package=libradare2-0.8-dbg
+	dh_strip -pradare2 #--dbg-package=radare2-dbg
+	dh_strip -plibradare2-0.8.8 --dbg-package=libradare2-0.8.8-dbg
 
 override_dh_auto_clean:
 	touch config-user.mk libr/config.mk
