## radare2 0.9

=== Makefile ===
--- 
+++ 
@@ -54,9 +54,16 @@
 	for a in `find libr | grep -e dll$$`; do cp $$a w32dist ; done
 	for a in `find binr | grep -e exe$$`; do cp $$a w32dist ; done
 	rm w32dist/plugin.dll
+	mkdir -p w32dist/radare2/${VERSION}/magic
+	cp -f libr/magic/d/default/* w32dist/radare2/${VERSION}/magic
 	mkdir -p w32dist/radare2/${VERSION}/syscall
 	cp -f libr/syscall/d/*.sdb w32dist/radare2/${VERSION}/syscall
+	mkdir -p w32dist/radare2/${VERSION}/opcodes
+	cp -f libr/asm/d/*.sdb w32dist/radare2/${VERSION}/opcodes
 	mkdir -p w32dist/share/doc/radare2
+	mkdir -p w32dist/include/libr
+	cp libr/include/*.h w32dist/include/libr
+	#mkdir -p w32dist/include/libr/sflib
 	cp -f doc/fortunes w32dist/share/doc/radare2
 	mv w32dist radare2-w32-${VERSION}
 	rm -f radare2-w32-${VERSION}.zip 
@@ -101,11 +108,14 @@
 	${INSTALL_DIR} ${PFX}/share/doc/radare2
 	cd doc ; for a in * ; do ln -fs ${PWD}/$$a ${PFX}/share/doc/radare2 ; done
 
+DATADIRS=libr/asm/d libr/syscall/d libr/magic/d
+#binr/ragg2/d
 install: install-doc install-man
 	cd libr && ${MAKE} install PARENT=1 PREFIX=${PREFIX} DESTDIR=${DESTDIR}
 	cd binr && ${MAKE} install PREFIX=${PREFIX} DESTDIR=${DESTDIR}
-	cd libr/syscall/d ; ${MAKE} install PREFIX=${PREFIX} LIBDIR=${LIBDIR} DESTDIR=${DESTDIR}
-	cd libr/magic ; ${MAKE} install-data LIBDIR=${LIBDIR} PREFIX=${PREFIX} DESTDIR=${DESTDIR}
+	for a in ${DATADIRS} ; do \
+	(cd $$a ; ${MAKE} install LIBDIR=${LIBDIR} PREFIX=${PREFIX} DESTDIR=${DESTDIR} ); \
+	done
 
 install-pkgconfig-symlink:
 	@${INSTALL_DIR} ${DESTDIR}/${LIBDIR}/pkgconfig
@@ -114,8 +124,9 @@
 symstall install-symlink: install-man-symlink install-doc-symlink install-pkgconfig-symlink
 	cd libr && ${MAKE} install-symlink PREFIX=${PREFIX} DESTDIR=${DESTDIR}
 	cd binr && ${MAKE} install-symlink PREFIX=${PREFIX} DESTDIR=${DESTDIR}
-	cd libr/syscall/d ; ${MAKE} install-symlink LIBDIR=${LIBDIR} PREFIX=${PREFIX} DESTDIR=${DESTDIR}
-	cd libr/magic ; ${MAKE} install-symlink-data LIBDIR=${LIBDIR} PREFIX=${PREFIX} DESTDIR=${DESTDIR}
+	for a in ${DATADIRS} ; do \
+	(cd $$a ; echo $$a ; ${MAKE} install-symlink LIBDIR=${LIBDIR} PREFIX=${PREFIX} DESTDIR=${DESTDIR} ); \
+	done
 
 deinstall uninstall:
 	cd libr && ${MAKE} uninstall PARENT=1 PREFIX=${PREFIX} DESTDIR=${DESTDIR}
@@ -126,7 +137,22 @@
 	@echo
 
 purge:
-	rm -rf ${DESTDIR}/${LIBDIR}/libr_*
+	rm -f ${DESTDIR}/${BINDIR}/r2
+	rm -f ${DESTDIR}/${BINDIR}/radare2
+	rm -f ${DESTDIR}/${BINDIR}/rabin2
+	rm -f ${DESTDIR}/${BINDIR}/rafind2
+	rm -f ${DESTDIR}/${BINDIR}/ranal2
+	rm -f ${DESTDIR}/${BINDIR}/rax2
+	rm -f ${DESTDIR}/${BINDIR}/rsc2
+	rm -f ${DESTDIR}/${BINDIR}/rasm2
+	rm -f ${DESTDIR}/${BINDIR}/rarc2
+	rm -f ${DESTDIR}/${BINDIR}/rahash2
+	rm -f ${DESTDIR}/${BINDIR}/ragg2
+	rm -f ${DESTDIR}/${BINDIR}/ragg2-cc
+	rm -f ${DESTDIR}/${BINDIR}/rarun2
+	rm -f ${DESTDIR}/${BINDIR}/rasc2
+	rm -f ${DESTDIR}/${BINDIR}/radiff2
+	rm -f ${DESTDIR}/${LIBDIR}/libr_*
 	rm -rf ${DESTDIR}/${LIBDIR}/radare2
 	rm -rf ${DESTDIR}/${INCLUDEDIR}/libr
 	cd man ; for a in *.1 ; do rm -f ${MDR}/man1/$$a ; done
