=== binr/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 BFX=${DESTDIR}/${BINDIR}
 LFX=${DESTDIR}/${LIBDIR}
 
-BINS=rax2 rasm2 rabin2 rahash2 radiff2 radare2 rafind2 ranal2 rasc2 rarun2 ragg2
+BINS=rax2 rasm2 rabin2 rahash2 radiff2 radare2 rafind2 ranal2 rarun2 ragg2
 #rsc2
 
 all:
@@ -17,6 +17,7 @@
 	mkdir -p ${BFX}
 	pwd
 	for a in ${BINS} ; do ${INSTALL_PROGRAM} $$a/$$a ${BFX}/$$a ; done
+	${INSTALL_SCRIPT} ragg2/ragg2-cc ${BFX}/ragg2-cc
 	#cp -f rarc2/rarc2 rarc2/rarc2-tool ${BFX}
 	# shortcut
 	-cd ${BFX} && rm -f r2 ; ln -fs radare2 r2
@@ -34,7 +35,7 @@
 symstall install-symlink:
 	mkdir -p ${BFX}
 	for a in ${BINS} ; do ln -fs ${PWD}/$$a/$$a ${BFX}/$$a ; done
-	# ln -fs ${PWD}/rarc2/rarc2-tool ${BFX}/rarc2-tool
+	ln -fs ${PWD}/ragg2/ragg2-cc ${BFX}/ragg2-cc
 	-ln -fs ${PFX}/bin/radare2 ${BFX}/r2
 
 deinstall uninstall:
