=== binr/ragg2/Makefile ===
BIN=ragg2
BINDEPS=r_egg r_bin r_syscall r_asm r_db r_util r_parse

include ../binr.mk

t test:
	cd t ; ${MAKE}

.PHONY: t
