=== debian/changelog ===
radare2 (0.9-3) unstable; urgency=low

  * Add Patch from Julian Taylor to fix FTBFS when
    building using ld --as-needed (Closes: #653873)

 -- Sebastian Reichel <sre@debian.org>  Sat, 31 Dec 2011 20:43:17 +0100

radare2 (0.9-2) unstable; urgency=low

  * readd fix in symbols file:
    r_debug_desc_plugin_native is only built for x86, x86-64 and arm

 -- Sebastian Reichel <sre@debian.org>  Tue, 06 Dec 2011 14:29:09 +0100

radare2 (0.9-1) unstable; urgency=low

  * New upstream release
   - automatic hurd detection
  * radare2 now recommends libradare2-dev
   - header files are used by ragg2-cc

 -- Sebastian Reichel <sre@debian.org>  Tue, 06 Dec 2011 01:36:55 +0100
