=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,6 @@
 DEBUG_SUPPORT=1
 endif
 
-ifeq (hurd,$(DEB_HOST_ARCH_OS))
-EXTRA_FLAGS+=--with-ostype=gnulinux
-endif
-
 ifeq (0,$(DEBUG_SUPPORT))
 EXTRA_FLAGS+=--without-debugger
 endif
@@ -34,7 +30,7 @@
 
 override_dh_strip:
 	dh_strip -pradare2 #--dbg-package=radare2-dbg
-	dh_strip -plibradare2-0.8.8 --dbg-package=libradare2-0.8.8-dbg
+	dh_strip -plibradare2-0.9 --dbg-package=libradare2-0.9-dbg
 
 override_dh_auto_clean:
 	touch config-user.mk libr/config.mk
